POST Api/Roles?text={text}&password={password}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| text | string |
Required |
|
| password | string |
Required |
Body Parameters
User| Name | Description | Type | Additional information |
|---|---|---|---|
| FirstName | string |
Required String length: inclusive between 0 and 100 |
|
| LastName | string |
Required String length: inclusive between 0 and 100 |
|
| DateCreated | date |
Required |
|
| LastLoginTime | date |
None. |
|
| Active | boolean |
None. |
|
| AccountId | integer |
None. |
|
| UserDelayedPayment | boolean |
None. |
|
| UserDiscountCategoryId | integer |
None. |
|
| ServiceNotifications | boolean |
None. |
|
| OrderNotifications | boolean |
None. |
|
| IsSubjectToTva | boolean |
None. |
|
| TVANumber | string |
None. |
|
| CompanyRole | string |
None. |
|
| CurrentCompanyId | integer |
None. |
|
| ShowPricesOnReport | boolean |
None. |
|
| Telephone | string |
None. |
|
| DisplayName | string |
None. |
|
| Initials | string |
None. |
|
| string |
None. |
||
| EmailConfirmed | boolean |
None. |
|
| PasswordHash | string |
None. |
|
| SecurityStamp | string |
None. |
|
| PhoneNumber | string |
None. |
|
| PhoneNumberConfirmed | boolean |
None. |
|
| TwoFactorEnabled | boolean |
None. |
|
| LockoutEndDateUtc | date |
None. |
|
| LockoutEnabled | boolean |
None. |
|
| AccessFailedCount | integer |
None. |
|
| Roles | Collection of IdentityUserRole |
None. |
|
| Claims | Collection of IdentityUserClaim |
None. |
|
| Logins | Collection of IdentityUserLogin |
None. |
|
| Id | string |
None. |
|
| UserName | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"firstName": "sample string 1",
"lastName": "sample string 2",
"dateCreated": "2026-09-23T16:12:26.0023176+00:00",
"lastLoginTime": "2026-09-23T16:12:26.0023176+00:00",
"active": true,
"accountId": 5,
"userDelayedPayment": true,
"userDiscountCategoryId": 1,
"serviceNotifications": true,
"orderNotifications": true,
"isSubjectToTva": true,
"tvaNumber": "sample string 10",
"companyRole": "sample string 11",
"currentCompanyId": 12,
"showPricesOnReport": true,
"telephone": "sample string 14",
"displayName": "sample string 1 sample string 2",
"initials": "ss",
"email": "sample string 15",
"emailConfirmed": true,
"passwordHash": "sample string 17",
"securityStamp": "sample string 18",
"phoneNumber": "sample string 19",
"phoneNumberConfirmed": true,
"twoFactorEnabled": true,
"lockoutEndDateUtc": "2026-09-23T16:12:26.0023176+00:00",
"lockoutEnabled": true,
"accessFailedCount": 23,
"roles": [],
"claims": [],
"logins": [],
"id": "sample string 24",
"userName": "sample string 25"
}
application/xml, text/xml
Sample:
<User xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Gruo.Core.Models"> <AccessFailedCount xmlns="http://schemas.datacontract.org/2004/07/Microsoft.AspNet.Identity.EntityFramework">23</AccessFailedCount> <Email xmlns="http://schemas.datacontract.org/2004/07/Microsoft.AspNet.Identity.EntityFramework">sample string 15</Email> <EmailConfirmed xmlns="http://schemas.datacontract.org/2004/07/Microsoft.AspNet.Identity.EntityFramework">true</EmailConfirmed> <Id xmlns="http://schemas.datacontract.org/2004/07/Microsoft.AspNet.Identity.EntityFramework">sample string 24</Id> <LockoutEnabled xmlns="http://schemas.datacontract.org/2004/07/Microsoft.AspNet.Identity.EntityFramework">true</LockoutEnabled> <LockoutEndDateUtc xmlns="http://schemas.datacontract.org/2004/07/Microsoft.AspNet.Identity.EntityFramework">2026-09-23T16:12:26.0023176+00:00</LockoutEndDateUtc> <PasswordHash xmlns="http://schemas.datacontract.org/2004/07/Microsoft.AspNet.Identity.EntityFramework">sample string 17</PasswordHash> <PhoneNumber xmlns="http://schemas.datacontract.org/2004/07/Microsoft.AspNet.Identity.EntityFramework">sample string 19</PhoneNumber> <PhoneNumberConfirmed xmlns="http://schemas.datacontract.org/2004/07/Microsoft.AspNet.Identity.EntityFramework">true</PhoneNumberConfirmed> <SecurityStamp xmlns="http://schemas.datacontract.org/2004/07/Microsoft.AspNet.Identity.EntityFramework">sample string 18</SecurityStamp> <TwoFactorEnabled xmlns="http://schemas.datacontract.org/2004/07/Microsoft.AspNet.Identity.EntityFramework">true</TwoFactorEnabled> <UserName xmlns="http://schemas.datacontract.org/2004/07/Microsoft.AspNet.Identity.EntityFramework">sample string 25</UserName> <AccountId>5</AccountId> <Active>true</Active> <CompanyRole>sample string 11</CompanyRole> <CurrentCompanyId>12</CurrentCompanyId> <DateCreated>2026-09-23T16:12:26.0023176+00:00</DateCreated> <FirstName>sample string 1</FirstName> <IsSubjectToTva>true</IsSubjectToTva> <LastLoginTime>2026-09-23T16:12:26.0023176+00:00</LastLoginTime> <LastName>sample string 2</LastName> <OrderNotifications>true</OrderNotifications> <ServiceNotifications>true</ServiceNotifications> <ShowPricesOnReport>true</ShowPricesOnReport> <TVANumber>sample string 10</TVANumber> <Telephone>sample string 14</Telephone> <UserDelayedPayment>true</UserDelayedPayment> <UserDiscountCategoryId>1</UserDiscountCategoryId> </User>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
stringResponse Formats
application/json, text/json
Sample:
"sample string 1"
application/xml, text/xml
Sample:
<string xmlns="http://schemas.microsoft.com/2003/10/Serialization/">sample string 1</string>